Dashel::IPV4Address Class Reference

A IP version 4 address. More...

`#include <dashel.h>`

## Public Member Functions

| IPV4Address (unsigned addr=0, unsigned short prt=0)
| Constructor. Numeric argument.
| IPV4Address (const std::string &name, unsigned short port)
| Constructor. String address, do resolution.
bool | operator== (const IPV4Address &o) const
| Equality operator.
bool | operator< (const IPV4Address &o) const
| Less than operator.
std::string | format (const bool resolveName=true) const
| Return Dashel string form. More...
std::string | hostname () const
| Return the hostname corresponding to the address.

## Public Attributes

unsigned | address
| IP host address. Stored in local byte order.
unsigned short | port
| IP port. Stored in local byte order.

## Detailed Description

A IP version 4 address.

## Member Function Documentation

std::string Dashel::IPV4Address::format | ( | const bool | resolveName = `true` | ) | const

Return Dashel string form.

Parameters

  resolveName | whether we should attempt resolving the host name of the address

The documentation for this class was generated from the following file:

- dashel/dashel.h